package MonitorModule;


class MonitorOptions {
    public boolean cn = false;     // Collector name provided?
    public boolean debug = false;  // Display debug messages?
    
    public String cname = "Collector";              // Collector Name
    
    public void usage() {
        System.out.println("Usage: Loser!");
    }
    
    public MonitorOptions(String args[]) {
        String optVal;  // Value of an option
        
        for (int index=0; index < args.length; index++) {
            if (args[index].startsWith("--")) {
            } else if (args[index].startsWith("-")) {
                if (args[index].length() != 2) {
                    System.out.println("Bad args");
                }
                if (index < args.length-1) {
                    optVal = args[index+1];
                } else {
                    optVal = null;
                }
                
                switch (args[index].charAt(1)) {
                    case 'c':
                        if (optVal == null) { 
                            usage(); 
                        }
                        cn = true;
                        cname = optVal;
                        index++;
                        break;
                        
                        
                    case 'D':
                        debug = true;
                        break;
                        
                    default:
                        usage();
                        break;
                }
            }
        }
    }
        
};